# Generated by Django 3.1.4 on 2020-12-17 10:49

import datetime
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('repository', '0003_auto_20201217_0237'),
    ]

    operations = [
        migrations.AddField(
            model_name='lot',
            name='quantum',
            field=models.IntegerField(default=1, validators=[django.core.validators.MinValueValidator(1, message='quantum must be > 0')]),
        ),
        migrations.AlterField(
            model_name='auction',
            name='start_date',
            field=models.DateTimeField(validators=[django.core.validators.MinValueValidator(datetime.datetime(2020, 12, 17, 10, 49, 5, 483085), message='start_datetime must be after today')]),
        ),
        migrations.AlterField(
            model_name='lot',
            name='limit_price',
            field=models.FloatField(validators=[django.core.validators.MinValueValidator(1, message='limit_price must be > 0')]),
        ),
        migrations.AlterField(
            model_name='lot',
            name='price_change',
            field=models.FloatField(validators=[django.core.validators.MinValueValidator(1, message='price_change must be > 0')]),
        ),
    ]
